Package org.stianloader.micromixin.transform.internal

## Class DefaultMixinLogger

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.DefaultMixinLogger

All Implemented Interfaces:
  `MixinLoggingFacade`

    public class DefaultMixinLogger
    extends java.lang.Object
    implements MixinLoggingFacade

### Constructor Summary

Constructors
`DefaultMixinLogger​(boolean debug)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(java.lang.Class<?> clazz, java.lang.String message, java.lang.Object... args)`
`void` `error​(java.lang.Class<?> clazz, java.lang.String message, java.lang.Object... args)`
`void` `info​(java.lang.Class<?> clazz, java.lang.String message, java.lang.Object... args)`
`void` `warn​(java.lang.Class<?> clazz, java.lang.String message, java.lang.Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMixinLogger

    public DefaultMixinLogger​(boolean debug)

### Method Detail

#### debug

    public void debug​(java.lang.Class<?> clazz,
                      java.lang.String message,
                      java.lang.Object... args)

Specified by:
  `debug` in interface `MixinLoggingFacade`

#### error

    public void error​(java.lang.Class<?> clazz,
                      java.lang.String message,
                      java.lang.Object... args)

Specified by:
  `error` in interface `MixinLoggingFacade`

#### info

    public void info​(java.lang.Class<?> clazz,
                     java.lang.String message,
                     java.lang.Object... args)

Specified by:
  `info` in interface `MixinLoggingFacade`

#### warn

    public void warn​(java.lang.Class<?> clazz,
                     java.lang.String message,
                     java.lang.Object... args)

Specified by:
  `warn` in interface `MixinLoggingFacade`